.loaderArea {
    height: 100%;
    width: 100%;
    position: absolute;
}

@keyframes spinner-rotate {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.spinnerWrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity .3s linear, visibility .2s linear .3s;
    opacity: 1;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.spinnerWrapper .spinner {
    background: transparent !important;
    margin: auto;
    width: 46px;
    height: 46px;
    border-radius: 100%;
    border: 6px solid;
    border-color: #ffd919;
    border-bottom-color: transparent;
    animation: spinner-rotate 1.5s infinite linear;
}

.notIeBrowser {
    display: block;
}

.spinnerInIeBrowser {
    display: none;
}

@media screen and (-ms-high-contrast: active), screen and (-ms-high-contrast: none) {
    .notIeBrowser {
        display: none;
    }

    .spinnerInIeBrowser {
        display: block;
    }

    .spinnerInIeBrowser .spinner {
        position: absolute;
    }
}

.preloader {
    z-index: 20;
    top: 0;
    left: 0;
    justify-content: center;
    align-items: center;
    display: flex;
    transition: opacity .3s linear, visibility .2s linear .3s;
    opacity: 1;
    height: 100%;
    width: 100%;
    position: absolute;
}

.preloader.close {
    opacity: 0;
    visibility: hidden;
}

.circular {
    animation: rotate 2s linear infinite;
    height: 50px;
    position: initial;
    transition: all 0.2s ease;
    width: 50px;
    z-index: 4;
    left: 57%;
    top: 50%;
}

.circular.button {
    position: absolute;
    width: 20px;
    height: 20px;
}

.circular .path {
    stroke-dasharray: 1, 500;
    stroke-dashoffset: 0;
    animation: dash 1.5s ease-in-out infinite, color 6s ease-in-out infinite;
    stroke-linecap: round;
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes dash {
    0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
    }
    50% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -35;
    }
    100% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -124;
    }
}
